## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate nettle-sys

Name:           rust-nettle-sys
Version:        2.3.1
Release:        %autorelease
Summary:        Low-level Rust bindings for the Nettle cryptographic library

License:        LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
URL:            https://crates.io/crates/nettle-sys
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          nettle-sys-fix-metadata-auto.diff
# * drop two elliptic curves that are disabled in nettle in Fedora:
#   - nettle_get_secp_192r1
#   - nettle_get_secp_224r1
Patch:          0001-build-drop-unavailable-ECC-functions.patch

BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  pkgconfig(nettle)

%global _description %{expand:
Low-level Rust bindings for the Nettle cryptographic library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(nettle)

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-GPL2
%license %{crate_instdir}/LICENSE-GPL3
%license %{crate_instdir}/LICENSE-LGPL3
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Mon Mar 03 2025 Fabio Valentini <decathorpe@gmail.com> - 2.3.1-1
- Update to version 2.3.1; Fixes RHBZ#2339167

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sun Jan 12 2025 Fabio Valentini <decathorpe@gmail.com> - 2.3.0-4
- Migrate license string away from deprecated identifiers

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Oct 20 2023 Fabio Valentini <decathorpe@gmail.com> - 2.3.0-1
- Update to version 2.3.0; Fixes RHBZ#2243826

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed May 17 2023 Fabio Valentini <decathorpe@gmail.com> - 2.2.0-1
- Update to version 2.2.0; Fixes RHBZ#2207566

* Sat Jan 28 2023 Fabio Valentini <decathorpe@gmail.com> - 2.1.1-1
- Update to version 2.1.1; Fixes RHBZ#2165033

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Mar 16 2022 Fabio Valentini <decathorpe@gmail.com> - 2.1.0-1
- Update to version 2.1.0; Fixes RHBZ#2048482

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Nov 13 2021 Robert-André Mauchin <zebob.m@gmail.com> - 2.0.8-4
- Bump bindgen to 0.59.0

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jun 22 2021 Fabio Valentini <decathorpe@gmail.com> - 2.0.8-1
- Update to version 2.0.8.
- Fixes RHBZ#1968419

* Sat May 22 2021 Fabio Valentini <decathorpe@gmail.com> - 2.0.7-1
- Update to version 2.0.7.
- Fixes RHBZ#1955146

* Thu Apr 08 2021 Fabio Valentini <decathorpe@gmail.com> - 2.0.6-1
- Initial package

## END: Generated by rpmautospec
